package com.example.springdemo.service;

import com.example.springdemo.entities.Users;

import java.util.Optional;

public interface UsersService {

    Users addUsers(Users user);

    void deleteUsersById(Long id);

    Users updateUsers(Users user);

    Iterable<Users> findAllUsers();

    Optional<Users> findById(Long id);

    Users findByName(String name);
}
